"use strict";
const common_vendor = require("../common/vendor.js");
if (!Array) {
  const _easycom_uni_icons2 = common_vendor.resolveComponent("uni-icons");
  _easycom_uni_icons2();
}
const _easycom_uni_icons = () => "../uni_modules/uni-icons/components/uni-icons/uni-icons.js";
if (!Math) {
  _easycom_uni_icons();
}
const _sfc_main = {
  __name: "headerInput",
  props: {
    placeholder: {
      type: String,
      default: "请输入关键词"
    }
  },
  emits: ["changeInputValue"],
  setup(__props, { emit: __emit }) {
    const $emit = __emit;
    const timer = common_vendor.ref(null);
    const handleInput = (e) => {
      if (timer.value) {
        clearTimeout(timer.value);
      }
      timer.value = setTimeout(() => {
        $emit("changeInputValue", e.detail.value);
      }, 500);
    };
    return (_ctx, _cache) => {
      return {
        a: common_vendor.p({
          type: "search",
          size: "24",
          color: "#808080"
        }),
        b: __props.placeholder,
        c: common_vendor.o(handleInput)
      };
    };
  }
};
const Component = /* @__PURE__ */ common_vendor._export_sfc(_sfc_main, [["__scopeId", "data-v-7ac621e1"], ["__file", "E:/workSpace/WanZai_School_app/components/headerInput.vue"]]);
wx.createComponent(Component);
